package com.philisense.www.service.impl;


import com.philisense.www.dao.ProOperlogDAO;
import com.philisense.www.service.ProOperlogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


import java.util.List;
import java.util.Map;

@Service
public class ProOperlogServiceImpl implements ProOperlogService {

@Autowired
private ProOperlogDAO proOperlogDAO;

@Override
public int deleteByPrimaryKey(String id) {
return proOperlogDAO.deleteByPrimaryKey(id);
}

@Override
public Map<String, Object> selectByPrimaryKey(String id) {
return proOperlogDAO.selectByPrimaryKey(id);
}

@Override
public int insert(Map<String, Object> map) {
return proOperlogDAO.insert(map);
}

@Override
public int update(Map<String, Object> map) {
return proOperlogDAO.update(map);
}

@Override
public int deleteByMap(Map<String, Object> map) {
return proOperlogDAO.deleteByMap(map);
}

@Override
public int updateByMap(Map<String, Object> map) {
return proOperlogDAO.updateByMap(map);
}

@Override
public Map<String, Object> getOne(Map<String, Object> map) {
return proOperlogDAO.getOne(map);
}

@Override
public List<Map<String, Object>> getAll(Map<String, Object> map) {
return proOperlogDAO.getAll(map);
}

@Override
public List<Map<String, Object>> queryPage(Map<String, Object> map) {
return proOperlogDAO.queryPage(map);
}

@Override
public int count(Map<String, Object> map) {
return proOperlogDAO.count(map);
}

@Override
public void insertBatch(List<Map<String, Object>> list) {
proOperlogDAO.insertBatch(list);
}

@Override
public void deleteBatch(List<Map<String, Object>> list) {
proOperlogDAO.deleteBatch(list);
}

@Override
public void updateBatch(List<Map<String, Object>> list) {
proOperlogDAO.updateBatch(list);
}
}